source: trunk/abcl/src/org/armedbear/lisp/gui.lisp @ 14207

Last change on this file since 14207 was 14121, checked in by ehuelsmann, 9 years ago

Move exports from autoloads.lisp to the respective defining files.
Also, delete JVM-COMPILE-PACKAGE, which hasn't been used in our
sources for ages and doesn't seem to serve an external purpose.

  • Property svn:eol-style set to native
  • Property svn:keywords set to Id
File size: 685 bytes
Line 
1(in-package :extensions)
2
3(require :java)
4
5(export '(*gui-backend* init-gui make-dialog-prompt-stream))
6
7
8(defvar *gui-backend* :swing)
9
10(defun init-gui ()
11  "Dummy function used to autoload this file"
12  t)
13
14(defun make-dialog-prompt-stream ()
15  (%make-dialog-prompt-stream *gui-backend*))
16
17(defgeneric %make-dialog-prompt-stream (gui-backend))
18
19(defmethod %make-dialog-prompt-stream ((gui-backend (eql :swing)))
20  (java:jnew (java:jconstructor
21              "org.armedbear.lisp.java.swing.SwingDialogPromptStream")))
22
23(defmethod %make-dialog-prompt-stream ((gui-backend (eql :awt)))
24  (java:jnew (java:jconstructor
25              "org.armedbear.lisp.java.awt.AwtDialogPromptStream")))
Note: See TracBrowser for help on using the repository browser.